Summary:	File archiving utility with compression
Summary(pl.UTF-8):	Program do archiwizacji i kompresji
Summary(ru.UTF-8):	Утилита архивации и компрессии для архивов формата ZOO
Summary(uk.UTF-8):	Утиліта архивації та компресії для архівів формату ZOO
Name:		zoo
Version:	2.10
Release:	10
License:	Copyrighted, freely distributable if unmodified
Group:		Applications/Archiving
# ftp://sunsite.unc.edu/pub/Linux/utils/compress/%{name}-%{version}-3.src.rpm
Source0:	ftp://ftp.slackware.org/pub/slackware/source/a/bin/%{name}-%{version}.tar.gz
# Source0-md5:	f5d3ffdd65cc8a511c83e3c3f108c27e
# I hope these patches don't violate license...
# (source tarball is still unmodified, patches only make thing build,
# without any changes in behaviour of produced binary)
Patch0:		ftp://sunsite.unc.edu/pub/Linux/utils/compress/%{name}-2.10.linux.diff.gz
# Patch0-md5:	56e64ab6eace1dd4a7bcc402fff02dee
Patch1:		%{name}-morelinux.patch
Patch2:		%{name}-CAN-2005-2349.patch
Patch3:		%{name}-febz-183426.patch
Patch4:		%{name}-security_pathsize.patch
Patch5:		types.patch
Patch6:		format-security.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
zoo is a file archiving utility for maintaining collections of files.
It uses Lempel-Ziv compression to provide space savings in the range
of 20 to 80 percent depending on the type of data. Written by Rahul
Dhesi, and posted to the USENET newsgroup comp.sources.misc.

%description -l pl.UTF-8
zoo jest programem archiwizującym. Używa kompresji Lempel-Ziv. Może
zaoszczędzić od 20 do 80% miejsca, w zależności od rodzaju danych.
Napisany przez Rahula Dhesi, wysłany na grupę comp.sources.misc .

%description -l ru.UTF-8
Это утилита для архивирования и компрессирования файлов. В основном
она используется в мире DOS и Amiga, но может быть использована также
под Linux для извлечения файлов DOS из архивов ZOO.

%description -l uk.UTF-8
Це утиліта для архівації та компресування файлів. Вона в основному
використовується у світі DOS та Amiga, але може бути використана під
Linux для добування файлів з архівів ZOO.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p0
%patch5 -p1
%patch6 -p1

%build
%{__make} linux \
	CC="%{__cc}" \
	OPTIM="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install fiz zoo $RPM_BUILD_ROOT%{_bindir}
install fiz.1 zoo.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Copyright
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/zoo.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 3647e2e
- x32 rebuild
- release 10 (by relup.sh)

* Thu Jan 01 2015 Jan Rękorajski <baggins@pld-linux.org> 667750d
- fix format string errors
- fix incorrect usage of time and signal functions

* Tue Nov 01 2011 Kacper Kornet <draenog@pld-linux.org> 9d5ffaf
- move compressed patch to distfiles

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 3702573
- dropped pre-cvs changelog

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> ee9352d
- rel 9

* Thu Apr 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 59689c8
- CVE reference for security_pathsize patch

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3502517
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2b7e84c
- converted to UTF-8

* Thu Mar 16 2006 Elan Ruusamäe <glen@pld-linux.org> 927c0e2
- typo

* Thu Mar 16 2006 Elan Ruusamäe <glen@pld-linux.org> aacc96a
- add CAN-2005-2349, febz-183426, security_pathsize patches from gentoo, rel 8
[security_pathsize fixes CVE-2006-0855]

* Thu Mar 16 2006 Elan Ruusamäe <glen@pld-linux.org> cbdbbc2
- various

* Mon Nov 24 2003 averne <averne@pld-linux.org> 0b83eef
- Updated release

* Tue Nov 11 2003 ankry <ankry@pld-linux.org> aaaea46
- caps unification, other cosmetics

* Thu Jun 12 2003 Jakub Bogusz <qboosh@pld-linux.org> b438e75
- added morelinux patch to use more recent C dialect (gcc 3.3 compilant)

* Thu Jun 12 2003 Jakub Bogusz <qboosh@pld-linux.org> 40edb85
- use stdarg.h not varargs.h, use ANSI prototypes etc.

* Thu Jun 12 2003 misi3k <misi3k@pld-linux.org> eb40cf6
- blah rel down

* Thu Jun 12 2003 misi3k <misi3k@pld-linux.org> f73f553
- updated Source0 url
  TODO: gcc 3.3 patch

* Wed May 28 2003 Michal Moskal <michal@moskal.me> c006f90
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> ec82b52
- massive attack s/pld.org.pl/pld-linux.org/

* Sun Jun 02 2002 kloczek <kloczek@pld-linux.org> 5ff18c9
- release 6: merge translations from KSI and use new %doc.

